Bug #6744

ruby unable to run system commands that require elevated privileges

Added by Roger Pack over 3 years ago. Updated almost 3 years ago.

Assignee:Usaku NAKAMURA
ruby -v:ruby 1.9.3p194 (2012-04-20) [i386-mingw32] Backport:


Examples, download this file:

then attempt

=> nil

(it should have worked, but displayed an elevated privilege command prompt--python does this, cmd does this).


#1 Updated by Yusuke Endoh about 3 years ago

  • Status changed from Open to Assigned
  • Assignee set to Usaku NAKAMURA
  • Target version set to 2.0.0

Usa-san, Tarui-san, Shirosaki-san, what do you think?

Yusuke Endoh mame@tsg.ne.jp

#2 Updated by Usaku NAKAMURA about 3 years ago

About UAC, I'm untouching now.
It is dicfficult to design and implement into 2.0.0, I guess.

If python does something to manage UNC, please tell me what python does :)

#3 Updated by Yusuke Endoh almost 3 years ago

  • Target version changed from 2.0.0 to next minor

Looks a feature request rather than a bug?
Anyway I postpone this ticket to next minor.

Yusuke Endoh mame@tsg.ne.jp

Also available in: Atom PDF